<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class BusinessLocationDetailItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var null|string $announcements Announcements for the business location.*/
    public ?string $announcements = null;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\WeekDetails[] $hoursOfOperation Hours of operation for the location.*/
    public array $hoursOfOperation;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\StaffMember[]|null $staffMembers Staff members at the location.*/
    public ?array $staffMembers = null;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  null|string  $announcements Announcements for the business location.
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails  $locationDetails 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\WeekDetails[]  $hoursOfOperation Hours of operation for the location.
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\StaffMember[]|null  $staffMembers Staff members at the location.
     */
    public function __construct(string $id, ?string $announcements, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails, array $hoursOfOperation, ?array $staffMembers)
    {
        $this->id = $id;
        $this->announcements = $announcements;
        $this->locationDetails = $locationDetails;
        $this->hoursOfOperation = $hoursOfOperation;
        $this->staffMembers = $staffMembers;
    }
    

}