<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class StaffBusinessLocationDetailItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails;
    /** @var null|string $announcements Announcements for the business location.*/
    public ?string $announcements = null;
    /** @var int $weeksToDisplay The number of weeks to display to growers.*/
    public int $weeksToDisplay;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours */
    public \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[] $specialHours */
    public array $specialHours;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[] $weekNotes */
    public array $weekNotes;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[] $staffMembers */
    public array $staffMembers;
    /** @var bool $isPublished Whether the business location is published.*/
    public bool $isPublished;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range */
    public \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails  $locationDetails 
     * @param  null|string  $announcements Announcements for the business location.
     * @param  int  $weeksToDisplay The number of weeks to display to growers.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours  $standardHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]  $specialHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]  $weekNotes 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]  $staffMembers 
     * @param  bool  $isPublished Whether the business location is published.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\DateRange  $range 
     */
    public function __construct(string $id, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails, ?string $announcements, int $weeksToDisplay, \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours, array $specialHours, array $weekNotes, array $staffMembers, bool $isPublished, \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range)
    {
        $this->id = $id;
        $this->locationDetails = $locationDetails;
        $this->announcements = $announcements;
        $this->weeksToDisplay = $weeksToDisplay;
        $this->standardHours = $standardHours;
        $this->specialHours = $specialHours;
        $this->weekNotes = $weekNotes;
        $this->staffMembers = $staffMembers;
        $this->isPublished = $isPublished;
        $this->range = $range;
    }
    

}