<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class GetBusinessLocationsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|string $timezone The timezone to use for the request. If not provided, the server default timezone will be used.*/
    public ?string $timezone = null;
    /** @var string[]|null $businessTypes A list of business types to filter by.*/
    public ?array $businessTypes = null;
    /** @var null|string $locationSearchQuery A search query to filter by.*/
    public ?string $locationSearchQuery = null;
    /** @var string[]|null $locationFavorites A list of favorite locations that should be displayed at the top of the list.*/
    public ?array $locationFavorites = null;
    /** @var null|bool $includeUnpublished Include unpublished locations in the results. Default is false.*/
    public ?bool $includeUnpublished = null;
    /** @var null|\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination */
    public ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination = null;

    /**
     * @param  null|string  $timezone The timezone to use for the request. If not provided, the server default timezone will be used.
     * @param  string[]|null  $businessTypes A list of business types to filter by.
     * @param  null|string  $locationSearchQuery A search query to filter by.
     * @param  string[]|null  $locationFavorites A list of favorite locations that should be displayed at the top of the list.
     * @param  null|bool  $includeUnpublished Include unpublished locations in the results. Default is false.
     * @param  null|\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination  $pagination 
     */
    public function __construct(?string $timezone, ?array $businessTypes, ?string $locationSearchQuery, ?array $locationFavorites, ?bool $includeUnpublished, ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination)
    {
        $this->timezone = $timezone;
        $this->businessTypes = $businessTypes;
        $this->locationSearchQuery = $locationSearchQuery;
        $this->locationFavorites = $locationFavorites;
        $this->includeUnpublished = $includeUnpublished;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination
    {
        return $this->pagination;
    }
}