<?php
namespace Bushelpowered\Api\Fulfillment\Threshold\V1\Response;
        
class ThresholdResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id */
    public string $id;
    /** @var string $commodityCode The commodity code that this threshold is related to, see CommodityResponse.code.*/
    public string $commodityCode;
    /** @var string $locationId The location id that this threshold is related to, see LocationResponse.id.*/
    public string $locationId;
    /** @var string $remarkCode The Remark Code that we want to check for.*/
    public string $remarkCode;
    /** @var null|float $minValue The lower value in the range we want to check for.*/
    public ?float $minValue = null;
    /** @var null|float $maxValue The higher value in the range we want to check for.*/
    public ?float $maxValue = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id 
     * @param  string  $commodityCode The commodity code that this threshold is related to, see CommodityResponse.code.
     * @param  string  $locationId The location id that this threshold is related to, see LocationResponse.id.
     * @param  string  $remarkCode The Remark Code that we want to check for.
     * @param  null|float  $minValue The lower value in the range we want to check for.
     * @param  null|float  $maxValue The higher value in the range we want to check for.
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $commodityCode, string $locationId, string $remarkCode, ?float $minValue, ?float $maxValue, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->commodityCode = $commodityCode;
        $this->locationId = $locationId;
        $this->remarkCode = $remarkCode;
        $this->minValue = $minValue;
        $this->maxValue = $maxValue;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}