<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class SyncUserAccountRequest 
{
    /** @var string $userIdpId The user identity provider id.*/
    public string $userIdpId;
    /** @var string $idpSlug The user identity provider slug.*/
    public string $idpSlug;
    /** @var null|string $bushelId The user bushel identifier.*/
    public ?string $bushelId = null;
    /** @var string $companySlug The account company slug.*/
    public string $companySlug;
    /** @var string $sourceAccountId The account source id (aka remote user id in Centre).*/
    public string $sourceAccountId;
    /** @var null|string $sourceAccountName The account source name.*/
    public ?string $sourceAccountName = null;
    /** @var null|string $deletedAt The account deleted at date/time. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $userIdpId The user identity provider id.
     * @param  string  $idpSlug The user identity provider slug.
     * @param  null|string  $bushelId The user bushel identifier.
     * @param  string  $companySlug The account company slug.
     * @param  string  $sourceAccountId The account source id (aka remote user id in Centre).
     * @param  null|string  $sourceAccountName The account source name.
     * @param  null|string  $deletedAt The account deleted at date/time. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $userIdpId, string $idpSlug, ?string $bushelId, string $companySlug, string $sourceAccountId, ?string $sourceAccountName, ?string $deletedAt)
    {
        $this->userIdpId = $userIdpId;
        $this->idpSlug = $idpSlug;
        $this->bushelId = $bushelId;
        $this->companySlug = $companySlug;
        $this->sourceAccountId = $sourceAccountId;
        $this->sourceAccountName = $sourceAccountName;
        $this->deletedAt = $deletedAt;
    }
    

}