<?php
namespace Bushelpowered\Api\Platform\Eventstore;

use \Bushelpowered\Api\Platform\Eventstore\Request\GetEventsRequest;
use \Bushelpowered\Api\Platform\Eventstore\Response\GetEventsResponse;
use \Bushelpowered\Api\Common\BadRequest;
use \Bushelpowered\Api\Common\NotAuthenticated;
use \Bushelpowered\Api\Common\NotAuthorized;
use \Bushelpowered\Api\Common\MismatchedPaginationToken;
use \Bidl\Php\Core\Builtins\UnknownError;

class GetEvents 
{
    public function __construct(public \Bidl\Php\Core\BidlClient $client)
    {
    }
    
    /**
     * @deprecated use request instead.
     */
    public function call(GetEventsRequest $request, $headers): GetEventsResponse | BadRequest | NotAuthenticated | NotAuthorized | MismatchedPaginationToken | UnknownError
    {
         return $this->client->call('api/platform/eventstore/GetEvents', $request, $this->getWrapper(), $headers);
    }
    
    public function request(GetEventsRequest $request, GetEventsMetadata $hasHeaders): GetEventsResponse | BadRequest | NotAuthenticated | NotAuthorized | MismatchedPaginationToken | UnknownError
    {
         return $this->client->call('api/platform/eventstore/GetEvents', $request, $this->getWrapper(), $hasHeaders->getMetaData());
    }
    
    private function getWrapper() {
        return new class () implements \Bidl\Php\Core\BidlResponse {

            /** @var GetEventsResponse | BadRequest | NotAuthenticated | NotAuthorized | MismatchedPaginationToken | UnknownError */
            public $response;
        
            public function __construct()
            {
                $this->mapper = new \JsonMapper();
            }
            
            public function fromJson($data) 
            {
                switch($data->type) {
                  case 'api.platform.eventstore#GetEventsSuccess':
                    $empty = (new \ReflectionClass(\Bushelpowered\Api\Platform\Eventstore\Response\GetEventsResponse::class))->newInstanceWithoutConstructor();
                    $this->response = $this->mapper->map($data, $empty);
                    break;
                  case 'api.common#BadRequest':
                    $empty = (new \ReflectionClass(\Bushelpowered\Api\Common\BadRequest::class))->newInstanceWithoutConstructor();
                    $this->response = $this->mapper->map($data, $empty);
                    break;
                  case 'api.common#NotAuthenticated':
                    $empty = (new \ReflectionClass(\Bushelpowered\Api\Common\NotAuthenticated::class))->newInstanceWithoutConstructor();
                    $this->response = $this->mapper->map($data, $empty);
                    break;
                  case 'api.common#NotAuthorized':
                    $empty = (new \ReflectionClass(\Bushelpowered\Api\Common\NotAuthorized::class))->newInstanceWithoutConstructor();
                    $this->response = $this->mapper->map($data, $empty);
                    break;
                  case 'api.common#MismatchedPaginationToken':
                    $empty = (new \ReflectionClass(\Bushelpowered\Api\Common\MismatchedPaginationToken::class))->newInstanceWithoutConstructor();
                    $this->response = $this->mapper->map($data, $empty);
                    break;
                   default: 
                     $this->response = new \Bidl\Php\Core\Builtins\UnknownError('The response was not a valid bidl response.');
                }
            }
        };
    }
}