<?php

namespace Bushelpowered\Api\Platform\File\V1\Common;

class FileFilter
{
    public string $type;
    public $data;
    private \JsonMapper $mapper;

    private static $types = [
        'idIn' => null,
        'fileTypeIn' => null,
        'attachmentIn' => null,
    ];

    private function __construct($type, $data) {
        $this->type = $type;
        $this->data = $data;
        $this->mapper = new \JsonMapper();
    }

    public static function IdIn(array $data): FileFilter
    {
        return new FileFilter('idIn', $data);
    }
    public static function FileTypeIn(array $data): FileFilter
    {
        return new FileFilter('fileTypeIn', $data);
    }
    public static function AttachmentIn(array $data): FileFilter
    {
        return new FileFilter('attachmentIn', $data);
    }

    public function getData() {
        $className = self::$types[$this->type];
        if ($className != null && $this->data != null) {
            $empty = (new \ReflectionClass($className))->newInstanceWithoutConstructor();
            return $this->mapper->map($this->data, $empty);
        } else {
            return $this->data;
        }
    }
}
    