<?php
namespace Bushelpowered\Api\Platform\Location\V1\Request;
        
class GetAllLocationsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination */
    public ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $tenantIds 
     * @param  null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination  $pagination 
     */
    public function __construct(?array $ids, ?array $tenantIds, ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination
    {
        return $this->pagination;
    }
}