<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class CreateOrUpdateAccountRequest 
{
    /** @var string $datasourceId The datasource identifier.*/
    public string $datasourceId;
    /** @var string $integrationId The global unique identifier of the source record, often concatenation of the datasource and source identifiers to ensure uniqueness.*/
    public string $integrationId;
    /** @var string $sourceId The source record identifier.*/
    public string $sourceId;
    /** @var null|string $sourceName The source account name.*/
    public ?string $sourceName = null;
    /** @var null|string $name */
    public ?string $name = null;

    /**
     * @param  string  $datasourceId The datasource identifier.
     * @param  string  $integrationId The global unique identifier of the source record, often concatenation of the datasource and source identifiers to ensure uniqueness.
     * @param  string  $sourceId The source record identifier.
     * @param  null|string  $sourceName The source account name.
     * @param  null|string  $name 
     */
    public function __construct(string $datasourceId, string $integrationId, string $sourceId, ?string $sourceName, ?string $name)
    {
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceName = $sourceName;
        $this->name = $name;
    }
    

}