<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class CreateCashBidGroupOverrideRequest 
{
    /** @var string $companyId The unique identifier for a specific Company related to the CashBidGroupOverride.*/
    public string $companyId;
    /** @var string $cqgSymbolId The identifier for the CQG symbol.*/
    public string $cqgSymbolId;
    /** @var null|string $commodityName The name for the commodity.*/
    public ?string $commodityName = null;
    /** @var null|string $commodityProductName The name for the commodity product.*/
    public ?string $commodityProductName = null;
    /** @var null|string $tickSize The tick size for the CashBidGroupOverride.*/
    public ?string $tickSize = null;
    /** @var bool $display The status indicating whether or not the CashBidGroup is displayed.*/
    public bool $display;
    /** @var bool $ignoreUnitConversion The status indicating whether we should ignore unit conversion.*/
    public bool $ignoreUnitConversion;
    /** @var int $sortOrder The order in which the CashBidGroup should be displayed in the API response.*/
    public int $sortOrder;

    /**
     * @param  string  $companyId The unique identifier for a specific Company related to the CashBidGroupOverride.
     * @param  string  $cqgSymbolId The identifier for the CQG symbol.
     * @param  null|string  $commodityName The name for the commodity.
     * @param  null|string  $commodityProductName The name for the commodity product.
     * @param  null|string  $tickSize The tick size for the CashBidGroupOverride.
     * @param  bool  $display The status indicating whether or not the CashBidGroup is displayed.
     * @param  bool  $ignoreUnitConversion The status indicating whether we should ignore unit conversion.
     * @param  int  $sortOrder The order in which the CashBidGroup should be displayed in the API response.
     */
    public function __construct(string $companyId, string $cqgSymbolId, ?string $commodityName, ?string $commodityProductName, ?string $tickSize, bool $display, bool $ignoreUnitConversion, int $sortOrder)
    {
        $this->companyId = $companyId;
        $this->cqgSymbolId = $cqgSymbolId;
        $this->commodityName = $commodityName;
        $this->commodityProductName = $commodityProductName;
        $this->tickSize = $tickSize;
        $this->display = $display;
        $this->ignoreUnitConversion = $ignoreUnitConversion;
        $this->sortOrder = $sortOrder;
    }
    

}